public inbox for ipfire-scm@lists.ipfire.org
 help / color / mirror / Atom feed
* [git.ipfire.org] IPFire 2.x development tree branch, master, updated. 2de6c6499478531367c663b5d8f7410fe49af3aa
@ 2013-02-14 21:12 git
  0 siblings, 0 replies; only message in thread
From: git @ 2013-02-14 21:12 UTC (permalink / raw)
  To: ipfire-scm

[-- Attachment #1: Type: text/plain, Size: 6787 bytes --]

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".

The branch, master has been updated
       via  2de6c6499478531367c663b5d8f7410fe49af3aa (commit)
       via  b34fdcae83378e193a89e7a3ea6329321c5dab08 (commit)
       via  37dd0cd2a2fcfa7c2b65c53ab5627cb7a4a37b40 (commit)
      from  40d3e729561e650bafa22b28f33da5bac813899e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 2de6c6499478531367c663b5d8f7410fe49af3aa
Author: Timo Eissler <morlix(a)morlix.de>
Date:   Thu Feb 14 22:08:30 2013 +0100

    backupiso: serveral small improvements.
    
    fixes #10233

commit b34fdcae83378e193a89e7a3ea6329321c5dab08
Author: Arne Fitzenreiter <arne_f(a)ipfire.org>
Date:   Thu Feb 14 19:33:37 2013 +0100

    proxy: allow access to IPFire itself if nets are blocked.
    
    This fixes missing pictures on blocking pages.
    fixes #10138

commit 37dd0cd2a2fcfa7c2b65c53ab5627cb7a4a37b40
Author: Arne Fitzenreiter <arne_f(a)ipfire.org>
Date:   Thu Feb 14 18:59:42 2013 +0100

    readhash: allow % character in config files.

-----------------------------------------------------------------------

Summary of changes:
 config/rootfiles/core/66/filelists/files |  1 +
 html/cgi-bin/proxy.cgi                   | 10 ++++-----
 src/scripts/backupiso                    | 38 ++++++++++++++++++++------------
 src/scripts/readhash                     |  2 +-
 4 files changed, 31 insertions(+), 20 deletions(-)
 mode change 100755 => 100644 html/cgi-bin/ovpnmain.cgi

Difference in files:
diff --git a/config/rootfiles/core/66/filelists/files b/config/rootfiles/core/66/filelists/files
index a7f3664..e139bb0 100644
--- a/config/rootfiles/core/66/filelists/files
+++ b/config/rootfiles/core/66/filelists/files
@@ -38,6 +38,7 @@ srv/web/ipfire/cgi-bin/services.cgi
 srv/web/ipfire/cgi-bin/updatexlrator.cgi
 srv/web/ipfire/cgi-bin/vpnmain.cgi
 usr/bin/watch
+usr/local/bin/backupiso
 usr/local/bin/makegraphs
 usr/local/bin/readhash
 usr/local/bin/scanhd
diff --git a/html/cgi-bin/ovpnmain.cgi b/html/cgi-bin/ovpnmain.cgi
old mode 100755
new mode 100644
diff --git a/html/cgi-bin/proxy.cgi b/html/cgi-bin/proxy.cgi
index 0b28c2a..cc7416a 100644
--- a/html/cgi-bin/proxy.cgi
+++ b/html/cgi-bin/proxy.cgi
@@ -2,7 +2,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2012  IPFire Team  <info(a)ipfire.org>                     #
+# Copyright (C) 2007-2013  IPFire Team  <info(a)ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -3556,15 +3556,15 @@ if ($delaypools) {
 
 if ($proxysettings{'NO_PROXY_LOCAL'} eq 'on')
 {
-	print FILE "#Prevent internal proxy access to Green\n";
-	print FILE "http_access deny IPFire_green_servers !IPFire_green_network\n\n";
+	print FILE "#Prevent internal proxy access to Green except IPFire itself\n";
+	print FILE "http_access deny IPFire_green_servers !IPFire_ips !IPFire_green_network\n\n";
 }
 
 if ($proxysettings{'NO_PROXY_LOCAL_BLUE'} eq 'on')
 {
-	print FILE "#Prevent internal proxy access from Blue\n";
+	print FILE "#Prevent internal proxy access from Blue except IPFire itself\n";
 	print FILE "http_access allow IPFire_blue_network IPFire_blue_servers\n";
-	print FILE "http_access deny  IPFire_blue_network IPFire_servers\n\n";
+	print FILE "http_access deny  IPFire_blue_network !IPFire_ips IPFire_servers\n\n";
 }
 
 	print FILE <<END
diff --git a/src/scripts/backupiso b/src/scripts/backupiso
index 6bea855..ffbc54f 100644
--- a/src/scripts/backupiso
+++ b/src/scripts/backupiso
@@ -1,11 +1,11 @@
 #!/bin/sh
 
-COREVER=`cat /opt/pakfire/db/core/mine`
+COREVER=$(cat /opt/pakfire/db/core/mine)
 # FIXME: edit this lines before release
-URL=http://download.ipfire.org/releases/ipfire-2.x/2.11-core$COREVER/
-ISO=ipfire-2.11.i586-full-core$COREVER.iso
+URL="http://download.ipfire.org/releases/ipfire-2.x/2.13-core$COREVER/"
+ISO="ipfire-2.13.i586-full-core$COREVER.iso"
 
-if [ -z "$1" ]; then 
+if [ -z $1 ]; then
 	echo usage: $0 backup-file
 	exit
 fi
@@ -17,20 +17,30 @@ cd /var/tmp/backupiso
 
 echo "Fetching ${URL}${ISO}"
 wget --quiet -c ${URL}${ISO}
-echo "Fetching ${URL}md5sums.txt"
+echo "Fetching ${URL}${ISO}.md5"
 wget --quiet -O ${ISO}.md5 ${URL}${ISO}.md5
 
 echo "Checking md5 of ${ISO}"
 md5sum --status -c ${ISO}.md5
-RETVAR="$?"
-if [ $RETVAR -eq 0 -o $RETVAR -eq 24 ]
-       then
-                echo "md5 is OK"
-       else
-                echo "md5 mismatch"
-		echo "Fetching again ${URL}${ISO}"
-		wget --quiet -O ${ISO} ${URL}${ISO}
+if [ $? -eq 0 -o $? -eq 24 ]
+then
+	echo "md5 is OK"
+else
+	echo "md5 mismatch"
+	echo "Fetching again ${URL}${ISO}"
+	wget --quiet -O ${ISO} ${URL}${ISO}
+	echo "Checking again md5 of ${ISO}"
+	md5sum --status -c ${ISO}.md5
+	if [ $? -eq 0 -o $? -eq 24 ]
+	then
+		echo "md5 is OK"
+	else
+		echo "md5 mismatch"
+		echo "aborting backup because md5 mismatch"
+		exit 1
+	fi
 fi
+rm ${ISO}.md5
 
 echo "Remastering iso"
 mkdir -p backupiso.tmp.${TS}
@@ -45,7 +55,7 @@ cp /var/ipfire/backup/${TS}.ipf backupiso.${TS}
 echo "Running mkisofs"
 mkisofs -J -r -V "ipfire backup ${TS}" \
             -b boot/isolinux/isolinux.bin -no-emul-boot -boot-load-size 4 -boot-info-table \
-            -c boot/isolinux/boot.catalog backupiso.${TS} > `basename ${ISO} .iso`-${TS}.iso
+            -c boot/isolinux/boot.catalog backupiso.${TS} > $(basename ${ISO} .iso)-${TS}.iso
 
 echo "Cleaning up"
 rm -rf backupiso.${TS}
diff --git a/src/scripts/readhash b/src/scripts/readhash
index cc063a7..bffc93f 100644
--- a/src/scripts/readhash
+++ b/src/scripts/readhash
@@ -13,7 +13,7 @@ VARNAME='[A-Za-z_][A-Za-z0-9_]*'
 
 # For the assigned value we only accept a limited number of characters - none
 # of which are shell metachars
-VARCHARS='A-Za-z0-9=/,.:_@#+-'
+VARCHARS='A-Za-z0-9=/,.:%_@#+-'
 VARVAL="[${VARCHARS}]*"
 
 sed -ne "s/\(${VARNAME}\)=\(${VARVAL}\)$/\1=\2/p" $1


hooks/post-receive
--
IPFire 2.x development tree

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2013-02-14 21:12 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2013-02-14 21:12 [git.ipfire.org] IPFire 2.x development tree branch, master, updated. 2de6c6499478531367c663b5d8f7410fe49af3aa git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox